> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Phenotypes Score Summary

> DEPRECATED. Please use coding-variants/phenotypes/summary.

Retrieve scores of variants associated with phenotypes. Via coding variants edges.

Either variant_id or coding_variant_name are required.

Example: variant_id = NC_000018.10:31546002:CA:GT,

coding_variant_name = DSG2_ENST00000261590_p.Gln873Val_c.2617_2618delinsGT,

files_fileset = IGVFFI6893ZOAA.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/phenotypes/score-summary
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/phenotypes/score-summary:
    get:
      summary: Variants Phenotypes Score Summary
      description: >-
        DEPRECATED. Please use coding-variants/phenotypes/summary.


        Retrieve scores of variants associated with phenotypes. Via coding
        variants edges.


        Either variant_id or coding_variant_name are required.


        Example: variant_id = NC_000018.10:31546002:CA:GT,


        coding_variant_name =
        DSG2_ENST00000261590_p.Gln873Val_c.2617_2618delinsGT,


        files_fileset = IGVFFI6893ZOAA.
      operationId: deprecatedCodingVariantsSummary
      parameters:
        - name: variant_id
          in: query
          required: false
          schema:
            type: string
        - name: coding_variant_id
          in: query
          required: false
          schema:
            type: string
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    variant_id:
                      type: string
                      nullable: true
                    hgvsp:
                      type: string
                      nullable: true
                    gene_name:
                      type: string
                      nullable: true
                    transcript_id:
                      type: string
                      nullable: true
                    dataType:
                      type: string
                    score:
                      type: number
                      nullable: true
                    portalLink:
                      type: string
                      nullable: true
                  required:
                    - dataType
                    - score
                    - portalLink
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````